---
import BaseLayout from "../layouts/BaseLayout.astro";
import Article from "../components/Article.astro";
import Grid from "../layouts/Grid.astro";

let articles = [];
const response = await fetch('https://dummyjson.com/posts', { method: 'GET' });
if (response.ok) {
  const data = await response.json();
  articles = data.posts;
}
---

<BaseLayout title="Responsive">
  <h1>Ma page responsive</h1>

  <section>
    <h2>Mes derniers articles</h2>

    <Grid minWidth="500px">
        {articles.map((article) => (
          <li>
            <Article
              title={article.title}
              thumbnail="https://source.unsplash.com/random/800x600"
              description={article.body}
              date="2023-11-29 23:30:00"
              tags={article.tags}
            />
          </li>
        ))}
    </Grid>
  </section>
</BaseLayout>

<style>
  * {
    font-family: sans-serif;
  }

  h1 {
    font-size: 3rem;
    color: mediumaquamarine;
    text-align: center;
    margin-block-start: 5rem;
  }

  h2 {
    font-size: 2rem;
    color: brown;
    text-align: center;
    margin-block-start: 1rem;
  }
</style>